=== debian/changelog ===
repopush (0.1.0-4) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sun, 29 Dec 2024 23:20:02 +0200

repopush (0.1.0-3) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the years 2022 and 2023 to my debian/* copyright notice.
  * Explicitly specify dh-sequence-single-binary.
  * Add the rsync-unquoted patch to fix a FTBFS because of a new
    diagnostic message from shellcheck 0.9. Closes: #1027490

 -- Peter Pentchev <roam@debian.org>  Tue, 03 Jan 2023 02:52:54 +0200

repopush (0.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Mon, 16 Aug 2021 13:44:33 +0300

repopush (0.1.0-1) experimental; urgency=low

  * Initial release.  Closes: #986889

 -- Peter Pentchev <roam@debian.org>  Fri, 23 Apr 2021 10:37:20 +0300
