=== debian/control ===
Source: repopush
Section: admin
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 confget <!nocheck>,
 debhelper (>> 13.15.2~),
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 python3 <!nocheck>,
 rsync <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/net/repopush/
Vcs-Git: https://gitlab.com/ppentchev/repopush.git -b debian/unstable
Vcs-Browser: https://gitlab.com/ppentchev/repopush/tree/debian/unstable
X-Style: black

Package: repopush
Architecture: all
Depends:
 rsync,
Multi-Arch: foreign
Description: safely rsync a package repository to another location
 The *repopush* tool is yet another program that helps with copying
 the various package files and repository metadata from one OS package
 repository to another, taking care to copy and remove files in such
 a way as to never have the remote repository present an inconsistent view.
 This is done by first copying the new package files, then copying the new
 metadata files, then removing the outdated metadata files, and only then
 removing the outdated package files.
 .
 The *repopush* tool supports APT and YUM repositories and figures out
 which one to handle by analyzing the contents of the local repository.
