=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh '$@'

override_dh_auto_test:
	env SKIP_TOX=1 dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir '$(CURDIR)/debian/repopush' -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_PROGRAM='install -m 755' \
		INSTALL_DATA='install -m 644'
