=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/python" python3 -B -m repopush_test -p /usr/bin/repopush -t "$(pwd)/test_data"
Depends:
 confget,
 python3,
 rsync,
 @,
Restrictions:
 allow-stderr,
Features:
 test-name=upstream_python,
